XScreenSaver(1)

NAME
rd-bomb - reaction/diffusion textures

SYNOPSIS
rd-bomb [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-install] [-visual visual] [-width n] [-height n] [-reaction n] [-diffusion n] [-size f] [-speed f] [-delay millisecs]

DESCRIPTION
The rd-bomb program draws reaction/diffusion textures. The code is derived from the 'd' mode of the "bomb" visual musical instrument (see http://www.cs.cmu.edu/~spot/bomb.html). I got the equations from xmorphia (http://www.ccsf.caltech.edu/ismap/image.html), which is based on a version of the Gray-Scott model taken from:
    John E. Pearson "Complex Patterns in a Simple System"
    Science, 261,189, 9 July 1993. If the frame-rate is too low, consider decreasing the width and height of the tile, or decreasing the size of the active part of the screen.

OPTIONS
If one of the reaction, diffusion, radius, and palette options is set to a negative value, then that option will be set to a random appropriate value. Be sure to try "-speed 1 -size 0.1 -epoch 3000". rd-bomb accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-width n

-height n
    Specify the size of the tile, in pixels.

-reaction n

-diffusion n
    These are constants in the equations that effect its visual nature. Each may be one of 0, 1, or 2. Default is -1: these constants are chosen randomly.

-radius n
    Size of the seed.

-size f
    What fraction of the window is actively drawn, a floating point number between 0 (exclusive) and 1 (inclusive). Default is 1.0.

-speed f
    When a fraction of the screen is active, the active area moves at this rate (a floating point number). Default is zero. Suggested value: 1.0.

-delay millisecs
    How many milliseconds to delay between frames; default 1, or about 1/1000th of a second.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1), xlock(1)

COPYRIGHT
Copyright © 1997 by Scott Draves. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

AUTHOR
Scott Draves <spot@cs.cmu.edu>, 9/97